using AutoScan.Options;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Options;
using Quartz;

namespace AutoScan.Jobs;

public class CleanJob : IJob
{
    private readonly ILogger<CleanJob> _logger;
    private readonly AutoScanOptions _options;

    public CleanJob(IOptions<AutoScanOptions> options, ILogger<CleanJob> logger)
    {
        _options = options.Value;
        _logger = logger;
    }

    public async Task Execute(IJobExecutionContext context)
    {
        _logger.LogInformation("Cleaning up files...");
        if (_options.RemoveOriginalFiles)
        {
            CleanOriginalFiles();
        }

        if (_options.RemoveDetectionFiles)
        {
            CleanDetectionFiles();
        }

        await Task.Delay(200);
    }
    
    private void CleanOriginalFiles()
    {
        
    }
    
    private void CleanDetectionFiles()
    {
        
    }
}